package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum CardAlarmType {

    /**
     * 进入围栏
     */
    IN_FENCE(1001),
    /**
     * 离开围栏
     */
    OUT_FENCE(1002),
    /**
     * 危险区域
     */
    RISK_AREA(1003),
    /**
     * 低电量
     */
    LOW_BAT(2001),
    /**
     * 设备脱落
     */
    DEVICE_STATIC(2002),
    /**
     * 步数
     */
    STEP(3001);
    private final Integer value;
}
